Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.bitmap
Class BitmapRendererConfig

    java.lang.Object
      org.apache.fop.render.bitmap.BitmapRendererConfig

All Implemented Interfaces:
  RendererConfig

Direct Known Subclasses:
  PNGRendererConfig, TIFFRendererConfig

    public class BitmapRendererConfig

extends java.lang.Object
implements RendererConfig

The Bitmap renderer config data object.

Nested Class Summary
`static class` | `BitmapRendererConfig.BitmapRendererConfigParser` The parser for the Bitmap renderer configuration data.

Nested classes/interfaces inherited from interface org.apache.fop.render.RendererConfig
`RendererConfig.RendererConfigParser`

Method Summary
`java.awt.Color` | `getBackgroundColor()`
`java.lang.Integer` | `getColorMode()`
`DefaultFontConfig` | `getFontInfoConfig()` Returns the render-specific font configuration information.
`java.lang.Boolean` | `hasAntiAliasing()`
`boolean` | `hasTransparentBackround()`
`java.lang.Boolean` | `isRenderHighQuality()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getFontInfoConfig

    public DefaultFontConfig getFontInfoConfig()

  Description copied from interface: `RendererConfig`
  Returns the render-specific font configuration information.

  Specified by:
    `getFontInfoConfig` in interface `RendererConfig`
  Returns:
    the font config

### getBackgroundColor

    public java.awt.Color getBackgroundColor()

### hasAntiAliasing

    public java.lang.Boolean hasAntiAliasing()

### isRenderHighQuality

    public java.lang.Boolean isRenderHighQuality()

### getColorMode

    public java.lang.Integer getColorMode()

### hasTransparentBackround

    public boolean hasTransparentBackround()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2017 The Apache Software Foundation. All Rights Reserved.